JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Attributes | List of all members
PenDetails Struct Referencefinal
juce_gui_basics » mouse

Contains status information about a pen event. More...

`#include <juce_MouseEvent.h>`

## Public Attributes
float | rotation
| The rotation of the pen device in radians.
float | tiltX
| Indicates the angle of tilt of the pointer in a range of -1.0 to 1.0 along the x-axis where a positive value indicates a tilt to the right.
float | tiltY
| Indicates the angle of tilt of the pointer in a range of -1.0 to 1.0 along the y-axis where a positive value indicates a tilt toward the user.

## Detailed Description

Contains status information about a pen event.

See also
  MouseListener, MouseEvent

## Member Data Documentation

## ◆ rotation

float PenDetails::rotation

The rotation of the pen device in radians.

Indicates the clockwise rotation, or twist, of the pen. The default is 0.

## ◆ tiltX

float PenDetails::tiltX

Indicates the angle of tilt of the pointer in a range of -1.0 to 1.0 along the x-axis where a positive value indicates a tilt to the right.

The default is 0.

## ◆ tiltY

float PenDetails::tiltY

Indicates the angle of tilt of the pointer in a range of -1.0 to 1.0 along the y-axis where a positive value indicates a tilt toward the user.

The default is 0.

The documentation for this struct was generated from the following file:

- juce_MouseEvent.h